{
	"buffs": 
	[
		{
			"id" : "legion_space_clear",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "legion_space_clearer",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_bloodoath_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodoath_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_a_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_1",
			"amount" : -0.3,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_b_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_1",
			"amount" : -0.35,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_c_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_1",
			"amount" : -0.4,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_d_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_1",
			"amount" : -0.45,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_e_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_1",
			"amount" : -0.5,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_a_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_2",
			"amount" : 0.04,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_b_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_2",
			"amount" : 0.05,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_c_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_2",
			"amount" : 0.06,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_d_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_2",
			"amount" : 0.07,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_e_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_2",
			"amount" : 0.08,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_standard_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_standard_3",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shields_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shields_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shields_TT_a_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shields_2",
			"amount" : -0.15,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shields_TT_b_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shields_2",
			"amount" : -0.17,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shields_TT_c_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shields_2",
			"amount" : -0.20,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shields_TT_d_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shields_2",
			"amount" : -0.22,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shields_TT_e_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shields_2",
			"amount" : -0.25,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shields_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shields_3",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_march_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_march_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_march_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_march_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_march_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_march_3",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_gut_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_gut_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_gut_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_gut_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_gut_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_gut_3",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_a_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_2a",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_b_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_2b",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_c_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_2c",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_d_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_2d",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_e_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_2e",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pilum_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pilum_3",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_a_0",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_0a",
			"amount" : 0.2,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_b_0",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_0b",
			"amount" : 0.225,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_c_0",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_0c",
			"amount" : 0.25,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_d_0",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_0d",
			"amount" : 0.275,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_e_0",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_0e",
			"amount" : 0.3,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_3",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_4",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_4",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_2_a",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_2",
			"amount" : -0.8,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_2_b",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_2",
			"amount" : -0.85,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_2_c",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_2",
			"amount" : -0.9,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_2_d",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_2",
			"amount" : -0.95,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_pride_TT_2_e",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_pride_2",
			"amount" : -1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_stoic_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_stoic_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_arrogance_TT_1",
			"stat_type" : "quirk_tag_evolution_duration",
			"stat_sub_type" : "cryptix_legion_arrogance_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			},
			"duration" : 4,
			"duration_type" : "combat_end"
		},
		{
			"id" : "legion_arrogance_TT_2",
			"stat_type" : "quirk_tag_evolution_duration",
			"stat_sub_type" : "cryptix_legion_arrogance_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			},
			"duration" : 4,
			"duration_type" : "combat_end"
		},
		{
			"id" : "legion_arrogance_TT_3",
			"stat_type" : "quirk_tag_evolution_duration",
			"stat_sub_type" : "cryptix_legion_arrogance_3",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			},
			"duration" : 4,
			"duration_type" : "combat_end"
		},
		{
			"id" : "legion_arrogance_TT_4",
			"stat_type" : "quirk_tag_evolution_duration",
			"stat_sub_type" : "cryptix_legion_arrogance_4",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			},
			"duration" : 4,
			"duration_type" : "combat_end"
		},
		{
			"id" : "legion_under_bl_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_under",
			"amount" : -0.01,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_under_bl_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_under",
			"amount" : -0.02,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_under_bl_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_under",
			"amount" : -0.03,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_under_bl_TT_4",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_under",
			"amount" : -0.04,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_under_bl_TT_5",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_under",
			"amount" : -0.05,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_under_bl_TT_6",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_under",
			"amount" : -0.06,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_over_bl_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_over",
			"amount" : -0.01,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_over_bl_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_over",
			"amount" : -0.02,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_over_bl_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_over",
			"amount" : -0.03,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_over_bl_TT_4",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_over",
			"amount" : -0.04,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_over_bl_TT_5",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_over",
			"amount" : -0.05,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_over_bl_TT_6",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_bloodlust_over",
			"amount" : -0.06,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_current_bl_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_1"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_current_bl_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_2"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_current_bl_TT_3",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_3"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_current_bl_TT_4",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_4"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_current_bl_TT_5",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_5"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_current_bl_TT_6",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_6"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_current_bl_TT_7",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_7"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_current_bl_TT_0",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_current_bloodlust",
			"amount" : 1,
			"remove_if_not_active" : true,
			"rule_type" : "in_mode",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : "bloodlust_0"
			},
			"is_clear_debuff_valid" : false
		},
		{
			"id" : "legion_laurel_TT",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_laurel",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_denarii_TT1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_denarii_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_denarii_TT2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_denarii_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_helmet_TT",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_helmet",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_training_TT",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_training",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			},
			"remove_on_battle_complete" : true 
		},
		{
			"id" : "legion_banner_TT1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_banner_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_banner_TT2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_banner_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_mask_TT",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_mask",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_cc_set_TT",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_cc_set",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shard_TT_1",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shard_1",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shard_TT_2",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shard_2",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shard_TT_4",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shard_4",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shard_TT_5",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shard_5",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_shard_TT_6",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_shard_6",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		},
		{
			"id" : "legion_visage_disable_riposte_TT",
			"stat_type" : "upgrade_discount",
			"stat_sub_type" : "cryptix_legion_visage",
			"amount" : 1,
			"remove_if_not_active" : false,
			"rule_type" : "always",
			"is_false_rule" : false,
			"rule_data" : {
				"float" : 0,
				"string" : ""
			}
		}
	]
}